<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T16:16:54Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.0.1068, 4.1.468, 4.2.182
 
Tested:
 
 
In DP 3.3.609 I populated fields for lab details, customer details, and test engineer details (added hardware and some channels to save test setup without error)
 
 
Uninstalled all DataPRO that was on my machine except 3.3.609.
 
Installed 4.0, 4.1, 4.2 and selected "Copy data from previous Local database to new local database"
 
 
Once installed I opened newly installed DataPRO and navigated to test setups and verified same details were migrated correctly:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-10-12T23:02:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-08-25T18:27:07Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-08-15T18:05:10Z</TimeStamp>
    <ReleaseNote>Addresses an issue when migrating from 3.3 to 4.0 and using Customer details, Laboratory details, or test engineer details</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>After reverting and starting over:

49374 is 4.0; 49375 is 4.1; 49376 is 4.2</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-08-14T21:19:02Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-08-10T20:56:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-01T17:30:56Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>49254 is 4.0; 49255 is 4.1; 49256 is 4.2</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-26T18:42:38Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-26T17:44:08Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>The fixes to this point have created new bugs.  Reactivating to first revert the fixes, then to re-fix.</Comment>
    <StatusString>Reactivated</StatusString>
    <TimeStamp>2023-07-26T17:43:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Reactivated</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Patched to avoid the following error: "...Procedure or function 'sp_TestSetupObjectMetaDataInsert' expects parameter '@PropValue', which was not supplied."
49248 is 4.0; 49249 is 4.1; 49250 is 4.2</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-25T20:29:45Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Fix crash when Customer, Laboratory, or Test Engineer is null.
49240 is 4.0; 49241 is 4.1; 49242 is 4.2</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-24T20:38:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-21T18:57:59Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>49233 is 4.0; 49234 is 4.1; 49235 is 4.2

In 4.0, the concept of "overrides" were introduced to the SynchronizeTestMetaData() method.  I'm not exactly sure what their purpose is, but they were added as part of the fix for http://manuscript.dts.local/f/cases/edit/13735/Need-the-ability-to-add-ISO-metadata-without-an-associated-Group.

This causes the fields from the overrides to be used when populating the fields in Basic Info.  However, their fields are read from the TestSetupObjectMetaData table in the database, and they can exist in the table as blanks for some reason.  In 3.3 this wasn't an issue because the values in Basic Info came from the Test Setup itself (really, from the link to the CustomerDetails and LabratoryDetails tables).
</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-07-21T18:10:15Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>To test:
Create a Test Setup in 3.3 with an ISO export and Lab, Customer, and Test engineer details.
Migrate to 4.0.
Run the Test Setup and ensure that the corresponding fields in the Lab info and Customer info sections are populated.
</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-20T17:21:37Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-20T15:02:13Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-19T17:00:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>I've reproduced the bug by migrating the attached 3.3 db to 4.0 (also attached).</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-18T23:01:32Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-18T20:45:24Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-18T18:33:41Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-05T17:22:38Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-28T23:13:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>there exists a db @ \\dts\files\Software\Private\Useful_Test_Files\DataPRO\DB_BACKUPS\ZF\ZD12016\db
 
but for the life of me I don't see any test setups in it ...</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-28T22:15:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-28T15:01:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-28T13:57:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-06-28T13:57:20Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>migrating may or may not be relevant, but that's as the customer reported it [attached]</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-06-28T13:57:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>